
:CUSTOMMENU
    DEL SkinDefinition.tmp
    CLS
    ECHO CUSTOMIZE
    ECHO.
    ECHO  DaimonUI3 Customization 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %RESO%
    ECHO    ----------------------------
    ECHO        [1] 1280w   [4] 1680w
    ECHO        [2] 1440w   [5] 1920w
    ECHO        [3] 1600w   [6] 2560w
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO C1280
    IF '%OPTION%'=='2' GOTO C1440
    IF '%OPTION%'=='3' GOTO C1600
    IF '%OPTION%'=='4' GOTO C1680
    IF '%OPTION%'=='5' GOTO C1920
    IF '%OPTION%'=='6' GOTO C2560
    IF '%OPTION%'=='b' GOTO :EOF
    IF '%OPTION%'=='B' GOTO :EOF
    GOTO CUSTOMMENU

:C1280
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1280.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd custom
    DEL ..\Mini\????res
    ECHO Daimonui CUSTOM 1280 Resolution >> ..\Mini\1280.res
    SET RESOSET=1280
    GOTO STEP1

:C1440
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1440.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd custom
    DEL ..\Mini\????res
    ECHO Daimonui CUSTOM 1440 Resolution >> ..\Mini\1440.res
    SET RESOSET=1440
    GOTO STEP1

:C1600
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1600.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd custom
    DEL ..\Mini\????res
    ECHO Daimonui CUSTOM 1600 Resolution >> ..\Mini\1600.res
    SET RESOSET=1600
    GOTO STEP1

:C1680
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1680.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd custom
    DEL ..\Mini\????res
    ECHO Daimonui CUSTOM 1680 Resolution >> ..\Mini\1680.res
    SET RESOSET=1680
    GOTO STEP1

:C1920
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1920.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd custom
    DEL ..\Mini\????res
    ECHO Daimonui CUSTOM 1920 Resolution >> ..\Mini\1920.res
    SET RESOSET=1920
    GOTO STEP1

:C2560
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_2560.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd custom
    DEL ..\Mini\????res
    ECHO Daimonui CUSTOM 2560 Resolution >> ..\Mini\2560.res
    SET RESOSET=2560
    GOTO STEP1

:STEP1
CLS
    ECHO CUSTOMIZE1/9
    ECHO.
    ECHO  Minimap 
    ECHO.
    ECHO Do you want to use DaimonUI Minimap ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP1b
    IF '%OPTION%'=='n' GOTO STEP2
    GOTO STEP1
        :STEP1b
            TYPE addons\dmnui_minimap.xml >> SkinDefinition.tmp
            GOTO STEP2

:STEP2
CLS
    ECHO CUSTOMIZE2/9
    ECHO.
    ECHO  Back-Packs 
    ECHO.
    ECHO Do you want to use borderless Back-Packs ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP2b
    IF '%OPTION%'=='n' GOTO STEP3
    GOTO STEP2
        :STEP2b
            TYPE addons\rushl_minipacks.xml >> SkinDefinition.tmp
            GOTO STEP3
:STEP3
CLS
    ECHO CUSTOMIZE3/9
    ECHO.
    ECHO  Dressing Room 
    ECHO.
    ECHO Do you want to use DaimonUI Dressing Room ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP3b
    IF '%OPTION%'=='n' GOTO STEP4
    GOTO STEP3
        :STEP3b
            TYPE addons\dmnui_dressroom.xml >> SkinDefinition.tmp
            GOTO STEP4
:STEP4
CLS
    ECHO CUSTOMIZE4/9
    ECHO.
    ECHO  Crafting Panel 
    ECHO.
    ECHO Do you want to use DaimonUI Crafting Panel ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP4b
    IF '%OPTION%'=='n' GOTO STEP5
    GOTO STEP4
        :STEP4b
            TYPE addons\dmnui_craftpanel.xml >> SkinDefinition.tmp
            GOTO STEP5
:STEP5
CLS
    ECHO CUSTOMIZE5/9
    ECHO.
    ECHO  Questbook 
    ECHO.
    ECHO Do you want to enlarged Questbook ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP5b
    IF '%OPTION%'=='n' GOTO STEP6
    GOTO STEP5
        :STEP5b
            TYPE addons\mirar_questlog.xml >> SkinDefinition.tmp
            GOTO STEP6
:STEP6
CLS
    ECHO CUSTOMIZE6/9
    ECHO.
    ECHO  Vendor Panel 
    ECHO.
    ECHO Do you want to use enlarged Vendor Panels ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP6b
    IF '%OPTION%'=='n' GOTO STEP7
    GOTO STEP6
        :STEP6b
            TYPE addons\mirar_vendorpanel.xml >> SkinDefinition.tmp
            GOTO STEP7
:STEP7
CLS
    ECHO CUSTOMIZE7/9
    ECHO.
    ECHO  Mailbox 
    ECHO.
    ECHO Do you want to use enlarged Mailbox ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP7b
    IF '%OPTION%'=='n' GOTO STEP7a
    GOTO STEP7
        :STEP7a
            IF EXIST ..\Deco\mail_small.jpg (
                REN ..\Deco\mail.jpg mail_big.jpg
                REN ..\Deco\mail_small.jpg mail.jpg
                GOTO STEP8
            ) ELSE (
                GOTO STEP8
            )
        :STEP7b
            IF EXIST ..\Deco\mail_big.jpg (
                REN ..\Deco\mail.jpg mail_small.jpg
                REN ..\Deco\mail_big.jpg mail.jpg
                TYPE addons\mirar_mailbox.xml >> SkinDefinition.tmp
                GOTO STEP8
            ) ELSE (
                TYPE addons\mirar_mailbox.xml >> SkinDefinition.tmp
                GOTO STEP8
            )

:STEP8
CLS
    ECHO CUSTOMIZE8/9
    ECHO.
    ECHO  Attunement Meter (large) 
    ECHO.
    ECHO Do you want to use DaimonUI Attunement Meter ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP8b
    IF '%OPTION%'=='n' GOTO STEP9
    GOTO STEP8
        :STEP8b
            TYPE addons\dmnui_rune.xml >> SkinDefinition.tmp
            GOTO STEP9

:STEP9
CLS
    ECHO CUSTOMIZE9/9
    ECHO.
    ECHO  Gambit Display 
    ECHO.
    ECHO Do you want to use DaimonUI Gambit Display ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='y' GOTO STEP9b
    IF '%OPTION%'=='n' GOTO ENDCSM
    GOTO STEP9
        :STEP9b
            TYPE addons\dmnui_gambit.xml >> SkinDefinition.tmp
            GOTO ENDCSM            

:ENDCSM
    TYPE xml\dmnui_end.xml >> SkinDefinition.tmp
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    CLS
    ECHO.&ECHO.
    ECHO    CUSTOM Skin created for DaimonUIMini
    ECHO    Resolution changed from %RESO% to %RESOSET%.
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUIMini!
    ECHO.&ECHO.
    PAUSE
    SET RESO=%RESOSET% Custom
GOTO MAINMENU