
IF "%1" == "" GOTO RESMENU
IF "%1" == "1280" GOTO R1280
IF "%1" == "1440" GOTO R1440
IF "%1" == "1600" GOTO R1600
IF "%1" == "1680" GOTO R1680
IF "%1" == "1920" GOTO R1920
IF "%1" == "2560" GOTO R2560

:RESMENU
CLS
    ECHO.&ECHO.
    ECHO  DaimonUI3 Setup 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %RESO%
    ECHO    ----------------------------
    ECHO        [1] 1280w   [4] 1680w
    ECHO        [2] 1440w   [5] 1920w
    ECHO        [3] 1600w   [6] 2560w
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO R1280
    IF '%OPTION%'=='2' GOTO R1440
    IF '%OPTION%'=='3' GOTO R1600
    IF '%OPTION%'=='4' GOTO R1680
    IF '%OPTION%'=='5' GOTO R1920
    IF '%OPTION%'=='6' GOTO R2560
    IF '%OPTION%'=='b' GOTO :EOF
    IF '%OPTION%'=='B' GOTO :EOF
GOTO RESMENU

:R1280
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1280.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1280
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1280mini.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1280 Resolution >> 1280.res
    COPY /Y ????.res ..\Mini\
    SET RESOSET=1280
GOTO DONE

:R1440
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1440.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1440
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1440.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1440 Resolution >> 1440.res
    COPY /Y ????.res ..\Mini\
    SET RESOSET=1440
GOTO DONE

:R1600
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1600.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1600
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1600.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1600 Resolution >> 1600.res
    COPY /Y ????.res ..\Mini\
    SET RESOSET=1600
GOTO DONE

:R1680
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1680.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1680
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1680.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1680 Resolution >> 1680.res
    COPY /Y ????.res ..\Mini\
    SET RESOSET=1680
GOTO DONE

:R1920
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1920.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1920
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1920.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1920 Resolution >> 1920.res
    COPY /Y ????.res ..\Mini\
    SET RESOSET=1920
GOTO DONE

:R2560
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_2560.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.2560
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_2560.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 2560 Resolution >> 2560.res
    COPY /Y ????.res ..\Mini\
    SET RESOSET=2560
GOTO DONE

:DONE
    CLS
    ECHO.&ECHO.
    ECHO    Resolution changed from %RESO% to %RESOSET% !
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUI3!
    ECHO.&ECHO.
    PAUSE
    SET RESO=%RESOSET%
GOTO MAINMENU